import request from '@/utils/request'

// 查询百度回传日志列表
export function listAdUploadLog(query) {
  return request({
    url: '/ad/AdUploadLog/list',
    method: 'get',
    params: query
  })
}

// 查询百度回传日志详细
export function getAdUploadLog(id) {
  return request({
    url: '/ad/AdUploadLog/' + id,
    method: 'get'
  })
}

// 新增百度回传日志
export function addAdUploadLog(data) {
  return request({
    url: '/ad/AdUploadLog',
    method: 'post',
    data: data
  })
}

// 修改百度回传日志
export function updateAdUploadLog(data) {
  return request({
    url: '/ad/AdUploadLog',
    method: 'put',
    data: data
  })
}

// 删除百度回传日志
export function delAdUploadLog(id) {
  return request({
    url: '/ad/AdUploadLog/' + id,
    method: 'delete'
  })
}

// 导出百度回传日志
export function exportAdUploadLog(query) {
  return request({
    url: '/ad/AdUploadLog/export',
    method: 'get',
    params: query
  })
}